
QGIS Application - Bug report #240

error in documentation or missing script

2006-08-18 09:08 AM - anonymous -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 10299

Description

The file INSTALL, in source for qgis 0.8.0 preview 1, refers to ./configure script that is missing in the package. The global effect is been

unable to recompile qgis from source.

History

#1 - 2006-08-18 12:29 PM - Gary Sherman

- Status changed from Open to Closed

- Resolution set to wontfix

Use the autogen.sh script instead and pass your configure parameters to it. At release, a configure script will be included.

#2 - 2006-08-22 08:25 AM - anonymous -

- Resolution deleted (wontfix)

- Status changed from Closed to Feedback

Running autogen.sh script is not enought for building qgis 0.8 from the sources as it throws several errors (undefined variables, needed by automake).

$ autogen.sh

Configuring build environment for QGIS

pkginclude_HEADERS: variable @qgisHEADERS' is used but @qgisHEADERS' is undefined

am+append_3: variable @libqgisHEADERS' is used but @libqgisHEADERS' is undefined

SUBDIRS: variable @COMMUNITY' is used but @COMMUNITY' is undefined

tests/src/gui/Makefile.am:553: unused variable: @testqgsvectorsymbologywidget_SOURCES'

tests/src/gui/Makefile.am:554: unused variable: @testqgsvectorsymbologywidget_LDADD'

tests/src/gui/Makefile.am:309: unused variable: @testqgslabel_LDADD'

tests/src/gui/Makefile.am:263: unused variable: @testqgsdbsourceselect_SOURCES'

tests/src/gui/Makefile.am:264: unused variable: @testqgsdbsourceselect_LDADD'

tests/src/gui/Makefile.am:308: unused variable: @testqgslabel_SOURCES'

#3 - 2006-08-22 11:01 PM - Gavin Macaulay -

What version of aclocal, automake, and autoconf are you using?
The autogen.sh script should be warning you if qgis requires versions that aren't available on your ssytem, but something's clearly wrong...

#4 - 2006-08-25 02:27 AM - anonymous -

They are the standard (at this moment) versions in Debian stable:

libtoolize (GNU libtool) 1.5.6

autoheader (GNU Autoconf) 2.59

automake (GNU automake) 1.7.9

autoconf (GNU Autoconf) 2.59

Anyway, I quitted trying to build 0.8 in Debian stable because of the difficulties in having my own local QT4 installation (along with the QT3 for the global

system).

#5 - 2006-08-25 02:58 AM - anonymous -

What works for me is libtoolize 1.5.12, autoheader 2.59, automake 1.95., and autoconf 2.59, although  what you have should be fine. I'm at a loss as to

what could be wrong...

I have Qt3 and Qt4 installed without problems - as long as Qt4 is installed in a different directory to qt3, things should be fine. You'd need to point the qgis

configure to the qt4 directory though.

#6 - 2006-08-25 09:35 PM - Gavin Macaulay -

- Status changed from Feedback to Closed

- Resolution set to worksforme

Since the original reporter has stopped trying to resolve this problem (see earlier comment), and no one else appears to have the same problem, I'll close

it.

#7 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
